function Create(self)

   self.maxAmmo = 21;
   self.ammoCounter = 0;

   if self.Magazine ~= nil then
--      self.maxAmmo = 1 + self.Magazine.RoundCount;
      self.ammoCounter = self.maxAmmo;
   end

   self.fireTimer = Timer();
   self.rechargeTimer = Timer();

   self.fireDelay = 120; -- delay between shots (MS)
   self.rechargeDelay = 600;

   self.fireVel = 38;
   self.fireSpread = 10; -- Degrees!
   self.fireSpreadSharp = 1;

end

function Update(self)

   if self:IsActivated() then
      if self.ammoCounter > 1 then
         if self.fireTimer:IsPastSimMS(self.fireDelay) then
            self.fireTimer:Reset();
            self.rechargeTimer:Reset();
            self.ammoCounter = self.ammoCounter - 1;

            if self.HFlipped == false then
               self.negativeNum = 1;
            else
               self.negativeNum = -1;
            end

            local actor = MovableMan:GetMOFromID(self.RootID);

            if MovableMan:IsActor(actor) and ToActor(actor):GetController():IsState(Controller.AIM_SHARP) then
               local projectile = CreateAEmitter("GelAEmitter Sticky SmallA");
               projectile.Pos = self.MuzzlePos;
               projectile.Vel = self.Vel + Vector(self.fireVel*self.negativeNum,0):RadRotate(self.RotAngle):DegRotate((self.fireSpread/(-2))+(math.random()*self.fireSpreadSharp));
               MovableMan:AddParticle(projectile);
            else
               local projectile = CreateAEmitter("GelAEmitter Sticky SmallA");
               projectile.Pos = self.MuzzlePos;
               projectile.Vel = self.Vel + Vector(self.fireVel*self.negativeNum,0):RadRotate(self.RotAngle):DegRotate((self.fireSpread/(-2))+(math.random()*self.fireSpread));
               MovableMan:AddParticle(projectile);
            end

         end
      else
         self:Reload();
      end
   else
      if self.ammoCounter < self.maxAmmo and self.rechargeTimer:IsPastSimMS(self.rechargeDelay) then
         self.rechargeTimer:Reset();
         self.ammoCounter = self.ammoCounter + 1;
      end
   end

   if self.Magazine ~= nil then
      self.Magazine.RoundCount = self.ammoCounter;
   end

end